- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
ClearableDigraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseDigraphComponent>
class lemon::concepts::ClearableDigraphComponent< BAS >

This class describes the interface of clearable directed graphs. It extends BaseDigraphComponent with a function for clearing the digraph. This concept requires AlterableDigraphComponent.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for ClearableDigraphComponent< BAS >:
[legend]

## Public Member Functions
void | clear ()
| Erase all nodes and arcs from the digraph. More...

## Member Function Documentation

void clear | ( |  | ) |
| inline

This function erases all nodes and arcs from the digraph.